<mat-toolbar color="primary" class="toolbar">
  <span>DISCOVER MUSIC</span>
  <button mat-icon-button [matMenuTriggerFor]="menu">
    <mat-icon>more_vert</mat-icon>
  </button>
</mat-toolbar>

<mat-menu #menu="matMenu">
  <button mat-menu-item routerLink="/about">
    <mat-icon>info</mat-icon>
    <span>About</span>
  </button>
  <button mat-menu-item routerLink="/" (click)="logout()">
    <mat-icon>exit_to_app</mat-icon>
    <span>Logout</span>
  </button>
</mat-menu>